Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#61750 - [libreoffice-fresh] Disable the kde5 VCL

Attached to Project: Arch Linux
Opened by Albert Astals Cid (tsdgeos) - Wednesday, 13 February 2019, 19:10 GMT
Last edited by Andreas Radke (AndyRTR) - Wednesday, 13 March 2019, 10:59 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Andreas Radke (AndyRTR)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Todays update to libreoffice brought the kde5 VCL to libreoffice

It is broken and one can't edit Calc cells correctly anymore.

https://bugs.documentfoundation.org/show_bug.cgi?id=123447

I suggest to disable it again until this gets fixed.
This task depends upon

Closed by  Andreas Radke (AndyRTR)
Wednesday, 13 March 2019, 10:59 GMT
Reason for closing:  Not a bug
Comment by Albert Astals Cid (tsdgeos) - Wednesday, 13 February 2019, 19:10 GMT Comment by Andreas Radke (AndyRTR) - Wednesday, 13 February 2019, 21:09 GMT
You are free to choose any desired vcl through /etc/profile.d/libreoffice-fresh.{c,}sh. The new vcl was requested and is announced by upstream to be built from now on.
Comment by jari_45 (jari_45) - Thursday, 14 February 2019, 15:23 GMT
Are you sure you are talking about kde5 and not qt5? Because for me, kde5 works correctly and qt5 is broken.
Comment by Albert Astals Cid (tsdgeos) - Friday, 15 February 2019, 21:54 GMT
Yes, i'm talking about the kde5 one, see those bugs linked, also https://bugs.documentfoundation.org/show_bug.cgi?id=123451 for another one
Comment by Alex Henrie (alex.henrie) - Monday, 11 March 2019, 06:10 GMT
Unless this package is modified to disable the KDE 5 dialogs by default, it needs to depend on the kio package. Without kio LibreOffice crashes whenever you try to save a new file with the following message:

/usr/lib/libreoffice/program/lo_kde5filepicker: error while loading shared libraries: libKF5KIOFileWidgets.so.5: cannot open shared object file: No such file or directory
Comment by Andreas Radke (AndyRTR) - Monday, 11 March 2019, 17:29 GMT
It clearly says "kio" an optional dependency for KF5 KDE desktop integration!
Comment by Alex Henrie (alex.henrie) - Wednesday, 13 March 2019, 03:15 GMT
I wouldn't consider the "Save As" feature "optional". But LibreOffice is fixing this on their end in version 6.3, so I suppose I can use libreoffice-dev-bin from the AUR until 6.3 is officially released.
Comment by Antonio Rojas (arojas) - Wednesday, 13 March 2019, 06:48 GMT
Or you can simply choose a different vcl, as it has been mentioned already

Loading...